package com.chinaitop.depot.intelligent.ventilation.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class TJobApplication {
    private String id;

    private String vCfCode;

    private String aid;

    private String applyPerson;
    
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date applyTime;
    
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date testTime;
    
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date endTime;

    private String ventilationMode;

    private String aerationTarget;

    private Integer state;

    private String remark;

    private Integer packingmode;

    private BigDecimal maxAter;

    private BigDecimal minWater;

    private BigDecimal avgWater;

    private String areationPlanNumber;

    private Integer orgId;

    /**
     * 32位唯一编码
     * @return id 32位唯一编码
     */
    public String getId() {
        return id;
    }

    /**
     * 32位唯一编码
     * @param id 32位唯一编码
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 仓房编码
     * @return v_cf_code 仓房编码
     */
    public String getvCfCode() {
        return vCfCode;
    }

    /**
     * 仓房编码
     * @param vCfCode 仓房编码
     */
    public void setvCfCode(String vCfCode) {
        this.vCfCode = vCfCode == null ? null : vCfCode.trim();
    }

    /**
     * 申请人id
     * @return aid 申请人id
     */
    public String getAid() {
        return aid;
    }

    /**
     * 申请人id
     * @param aid 申请人id
     */
    public void setAid(String aid) {
        this.aid = aid == null ? null : aid.trim();
    }

    /**
     * 申请人
     * @return apply_person 申请人
     */
    public String getApplyPerson() {
        return applyPerson;
    }

    /**
     * 申请人
     * @param applyPerson 申请人
     */
    public void setApplyPerson(String applyPerson) {
        this.applyPerson = applyPerson == null ? null : applyPerson.trim();
    }

    /**
     * 申请时间
     * @return apply_time 申请时间
     */
    public Date getApplyTime() {
        return applyTime;
    }

    /**
     * 申请时间
     * @param applyTime 申请时间
     */
    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    /**
     * 作业启动时间
     * @return test_time 作业启动时间
     */
    public Date getTestTime() {
        return testTime;
    }

    /**
     * 作业启动时间
     * @param testTime 作业启动时间
     */
    public void setTestTime(Date testTime) {
        this.testTime = testTime;
    }

    /**
     * 作业结束时间
     * @return end_time 作业结束时间
     */
    public Date getEndTime() {
        return endTime;
    }

    /**
     * 作业结束时间
     * @param endTime 作业结束时间
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * 通风方式
     * @return ventilation_mode 通风方式
     */
    public String getVentilationMode() {
        return ventilationMode;
    }

    /**
     * 通风方式
     * @param ventilationMode 通风方式
     */
    public void setVentilationMode(String ventilationMode) {
        this.ventilationMode = ventilationMode == null ? null : ventilationMode.trim();
    }

    /**
     * 通风目的
     * @return aeration_target 通风目的
     */
    public String getAerationTarget() {
        return aerationTarget;
    }

    /**
     * 通风目的
     * @param aerationTarget 通风目的
     */
    public void setAerationTarget(String aerationTarget) {
        this.aerationTarget = aerationTarget == null ? null : aerationTarget.trim();
    }

    /**
     * 通风状态 0审批驳回，1未提交，2待审批，3审批中，4审批通过，5作业结束，6拒绝
     * @return state 通风状态 0审批驳回，1未提交，2待审批，3审批中，4审批通过，5作业结束，6拒绝
     */
    public Integer getState() {
        return state;
    }

    /**
     * 通风状态 0审批驳回，1未提交，2待审批，3审批中，4审批通过，5作业结束，6拒绝
     * @param state 通风状态 0审批驳回，1未提交，2待审批，3审批中，4审批通过，5作业结束，6拒绝
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 堆装形式
     * @return packingmode 堆装形式
     */
    public Integer getPackingmode() {
        return packingmode;
    }

    /**
     * 堆装形式
     * @param packingmode 堆装形式
     */
    public void setPackingmode(Integer packingmode) {
        this.packingmode = packingmode;
    }

    /**
     * 最高水分%
     * @return max_ater 最高水分%
     */
    public BigDecimal getMaxAter() {
        return maxAter;
    }

    /**
     * 最高水分%
     * @param maxAter 最高水分%
     */
    public void setMaxAter(BigDecimal maxAter) {
        this.maxAter = maxAter;
    }

    /**
     * 最低水分%
     * @return min_water 最低水分%
     */
    public BigDecimal getMinWater() {
        return minWater;
    }

    /**
     * 最低水分%
     * @param minWater 最低水分%
     */
    public void setMinWater(BigDecimal minWater) {
        this.minWater = minWater;
    }

    /**
     * 平均水分%
     * @return avg_water 平均水分%
     */
    public BigDecimal getAvgWater() {
        return avgWater;
    }

    /**
     * 平均水分%
     * @param avgWater 平均水分%
     */
    public void setAvgWater(BigDecimal avgWater) {
        this.avgWater = avgWater;
    }

    /**
     * 通风计划编号
     * @return areation_plan_number 通风计划编号
     */
    public String getAreationPlanNumber() {
        return areationPlanNumber;
    }

    /**
     * 通风计划编号
     * @param areationPlanNumber 通风计划编号
     */
    public void setAreationPlanNumber(String areationPlanNumber) {
        this.areationPlanNumber = areationPlanNumber == null ? null : areationPlanNumber.trim();
    }

    /**
     * 组织id
     * @return org_id 组织id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织id
     * @param orgId 组织id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}